import request from '@/utils/request'
const baseUrl = '/ezhizao-dms-sys'
// 查询工艺主表列表
export function listTechnologicalProcess(query) {
	return request({
		url: baseUrl + '/business/technologicalProcess/list',
		method: 'get',
		params: query
	})
}

// 查询工艺主表详细
export function getTechnologicalprocess(id) {
	return request({
		url: baseUrl + '/business/technologicalProcess/' + id,
		method: 'get'
	})
}

// 新增工艺主表
export function saveTechnologicalProcess(data) {
	return request({
		url: baseUrl + '/business/technologicalProcess/save',
		method: 'post',
		data: data
	})
}

// 删除工艺主表
export function delTechnologicalProcess(id) {
	return request({
		url: baseUrl + '/business/technologicalProcess/' + id,
		method: 'delete'
	})
}
// 查询工艺主表列表，用于供应商管理中的工序配置
export function getTechnologicalForSupplier(data) {
	console.log(data)
	return request({
		url: baseUrl + '/business/technologicalProcess/getTechnologicalForSupplier',
		method: 'post',
		data: data
	})
}
